package spiral.all;

/**
 * <p>Title: Spiral analyzis</p>
 * <p>Description: Uchovv zznam  o jednom bod spirly</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class DataRow {
  private double x, y;
  private int time, pres;

  /**
   * Vytvo zznam o bodu na spirle
   * @param x x-ov souadnice
   * @param y y-ov souadnice
   * @param time as
   * @param pres tlak
   */
  public DataRow(double x, double y, int time, int pres) {
    this.x = x;
    this.y = y;
    this.time = time;
    this.pres = pres;
  }

  /**
   * Vytvo bod na spirle z ji existujcho
   * @param r bod
   */
  public DataRow(DataRow r) {
    x = r.getX();
    y = r.getY();
    time = r.getTime();
    pres = r.getPres();
  }

  /**
   * X-ov souadnice bodu
   * @return x-ov souadnice
   */
  public double getX() {
    return x;
  }

  /**
   * Y-ov souadnice bodu
   * @return y-ov souadnice
   */
  public double getY() {
    return y;
  }

  /**
   * Vrac as, kdy byl bod nakreslen
   * @return as
   */
  public int getTime() {
    return time;
  }

  /**
   * Vrac tlak s jakm byl bod nakreslen
   * @return tlak
   */
  public int getPres() {
    return pres;
  }

  /**
   * Pevod do textov reprezentace
   * @return text
   */
  public String toString() {
    return x + " " + y + " " + time + " " + pres;
  }
}